@echo off
REM This file will allow editing the pace car in the Lola1995 carset.
if exist engno.fin goto CREATE
goto ERROR

:ERROR
echo; 
echo;
echo; 
echo;
echo 	This installer will only work on the Lola1995 carset.
echo;
goto FINISH

:CREATE
cls
echo;
echo Remember to uncheck "read only" on your dat file before running this 
echo Lola1995 engine cover fin editor. 
echo; 
echo;
echo Where you want to use the engine cover fins?
echo;
echo [A] On super speedways only
echo [B] On all tracks
echo [C] Never
echo;
choice /c:ABC
if errorlevel 3 GOTO FINSNONE
if errorlevel 2 GOTO FINSALL

REM FINSORG
cd..
unpack lola1995.dat
copy kits\engyes.fin cover.3do
copy kits\engno.fin cover1.3do
copy kits\dengyes.fin d_cover.3do
copy kits\dengno.fin d_cover1.3do
pack lola1995.pck
cls
echo Cleaning up...
del *.3do
del *.mip
del *.pmp
del *.pcx
del *.pck
echo.
echo Done.
echo Top engine fin was configured as original.
GOTO FINISH

:FINSALL
cd..
unpack lola1995.dat
copy kits\engyes.fin cover.3do
copy kits\engyes.fin cover1.3do
copy kits\dengyes.fin d_cover.3do
copy kits\dengyes.fin d_cover1.3do
pack lola1995.pck
cls
echo Cleaning up...
del *.3do
del *.mip
del *.pmp
del *.pcx
del *.pck
echo.
echo Done.
echo Top engine fin was placed on both car types.
GOTO FINISH

:FINSNONE
cd..
unpack Lola1995.dat
copy kits\engno.fin cover.3do
copy kits\engno.fin cover1.3do
copy kits\dengno.fin d_cover.3do
copy kits\dengno.fin d_cover1.3do
pack Lola1995.pck
cls
echo Cleaning up...
del *.3do
del *.mip
del *.pmp
del *.pcx
del *.pck
echo.
echo Done.
echo Top engine fin was removed from both car types.

:FINISH
echo; 
echo;
pause